require "api_client_base"
require "typhoeus"
require "time"
require "securerandom"
require "base64"
require "json"

require "quoine_client/version"
require "quoine_client/client"
require "quoine_client/models/base_model"
require "quoine_client/models/product"
require "quoine_client/models/order"
require "quoine_client/models/order_book"
require "quoine_client/models/exchange_rate"
require "quoine_client/requests/base_request"
require "quoine_client/requests/list_products_request"
require "quoine_client/requests/list_exchange_rates_request"
require "quoine_client/requests/get_order_book_request"
require "quoine_client/requests/get_product_request"
require "quoine_client/responses/base_response"
require "quoine_client/responses/list_products_response"
require "quoine_client/responses/list_exchange_rates_response"
require "quoine_client/responses/get_order_book_response"
require "quoine_client/responses/get_product_response"

module QuoineClient
  include APIClientBase::Base.module

  with_configuration do
    has :host, classes: String, default: "https://api.quoine.com"
    has :user_id, classes: String
    has :user_secret, classes: String
  end
end

