module QuoineClient
  class Client

    include APIClientBase::Client.module(default_opts: :default_opts)
    attribute :host, String
    attribute :user_id, String
    attribute :user_secret, String

    api_action :list_products
    api_action :list_exchange_rates, args: [:product_id]
    api_action :get_product, args: [:product_id]
    api_action :get_order_book, args: [:product_id]

    private

    def default_opts
      { host: host, user_id: user_id, user_secret: user_secret }
    end

  end
end
